POST
/api/v2/referrals/programs/{programId}/community/members/{userId}/enablePOST /api/v2/referrals/programs/{programId}/community/members/{userId}/enable
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| programId (path) | string (uuid) | Yes | |
| userId (path) | integer (int32) | Yes |
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| Plan | string | Yes | |
| ParentUserId | unknown | No | |
| ExpiresAt | string (date-time) | No | |
| AgreementReference | string | No | |
| Notes | string | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Id | string (uuid) | Yes | |
| UserId | unknown | Yes | |
| Plan | string | Yes | |
| ParentUserId | unknown | Yes | |
| PlanRevision | unknown | Yes | |
| L2Bps | unknown | Yes | |
| L3Bps | unknown | Yes | |
| EnabledAt | string (date-time) | Yes | |
| ExpiresAt | string (date-time) | Yes | |
| RevokedAt | string (date-time) | Yes | |
| Status | string | Yes | |
| AgreementReference | string | Yes | |
| Notes | string | Yes |
Example request
curl -X POST "https://{base_url}/api/v2/referrals/programs/{programId}/community/members/{userId}/enable" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"Plan":"…"}'This page is generated from the live OpenAPI specification and always matches the current API.